@mixin clearfix() {
  &:before,
  &:after {
    content: '';
    display: table;
    clear: both;
  }
}

@mixin min-max($min-width, $max-width, $padding) {
  min-width: $min-width;
  max-width: $max-width;
  padding: 0 $padding;
  box-sizing: border-box;
  margin: 0 auto;
}

@mixin adaptive-video() {
  position: relative;
  padding-bottom: 56.25%; /* задаёт высоту контейнера для 16:9 (если 4:3 — поставьте 75%) */
  padding-top: 30px;
  height: 0;
  overflow: hidden;

  iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

}

@mixin visually-hidden() {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0,0,0,0);
  overflow: hidden;
}

@mixin button-simple($bg: $blue, $text: $white) {
  background-color: $bg;
  min-width: 246px;
  height: 56px;
  font: 500 16px/24px "Museo Sans", sans-serif;
  padding-bottom: 2px;
  color: $text;
  text-align: center;
  display: block;
  cursor: pointer;
  box-shadow: none;
  border: none;
  border-radius: 4px;
  appearance: none;
  transition-property: background-color;
  transition-duration: 600ms;
  @content;

  &:hover, &active {
    background-color: darken($bg, 10);
  }
}
